Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.msg
Class PositionChanging

    java.lang.Object
      org.gjt.sp.jedit.EBMessage
          org.gjt.sp.jedit.msg.EditPaneUpdate
              org.gjt.sp.jedit.msg.PositionChanging

Direct Known Subclasses:
  BufferChanging

    public class PositionChanging

extends EditPaneUpdate

An EBMessage associated with an EditPane that is sent just before its caret position changes in a "major way" to another location in the same Buffer. These messages are tracked by the Navigator plugin, and other interested plugins. jEdit plugins such as SideKick, Tags, Jump, CscopeFinder, etc, should emit this message whenever the user wants to jump from one position to another in the same buffer. For jumps to a different buffer entirely, it is not necessary for plugins to send any message, since BufferChanging is sent by jEdit whenever EditPane.setBuffer() is called, and it serves as a PositionChanging message also.

Since:
  jEdit 4.3pre15
See Also:
  `BufferChanging`

Field Summary

Fields inherited from class org.gjt.sp.jedit.msg.EditPaneUpdate
`BUFFER_CHANGED, BUFFER_CHANGING, BUFFERSET_CHANGED, CREATED, DESTROYED, POSITION_CHANGING`

Constructor Summary
`` | `PositionChanging(EditPane editPane)`
`protected` | `PositionChanging(EditPane editPane, java.lang.Object whatt)`
`` | `PositionChanging(TextArea textArea)`

Method Summary

Methods inherited from class org.gjt.sp.jedit.msg.EditPaneUpdate
`getEditPane, getWhat, paramString`

Methods inherited from class org.gjt.sp.jedit.EBMessage
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PositionChanging

    protected PositionChanging(EditPane editPane,
                               java.lang.Object whatt)

### PositionChanging

    public PositionChanging(TextArea textArea)

### PositionChanging

    public PositionChanging(EditPane editPane)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD